From 6f8ee97ae2895707facc36c256b3bfaed03020b8 Mon Sep 17 00:00:00 2001
From: Shubham Khanna <khannashubham1197@gmail.com>
Date: Fri, 9 Feb 2024 20:53:05 +0530
Subject: [PATCH v1] Improve documentation of upgrade for streaming replication
 section.

Currently the documentation of upgrade for streaming replication section
says that logical replication slots will be copied, but the logical
replication slots are copied only if the old primary is version 17.0 or
later. The same has been updated.
---
 doc/src/sgml/ref/pgupgrade.sgml | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/ref/pgupgrade.sgml b/doc/src/sgml/ref/pgupgrade.sgml
index ae6d3c49a6..68ec68f47b 100644
--- a/doc/src/sgml/ref/pgupgrade.sgml
+++ b/doc/src/sgml/ref/pgupgrade.sgml
@@ -767,9 +767,12 @@ rsync --archive --delete --hard-links --size-only --no-inc-recursive /vol1/pg_tb
        Configure the servers for log shipping.  (You do not need to run
        <function>pg_backup_start()</function> and <function>pg_backup_stop()</function>
        or take a file system backup as the standbys are still synchronized
-       with the primary.)  Only logical slots on the primary are copied to the
-       new standby, but other slots on the old standby are not copied so must
-       be recreated manually.
+       with the primary.) If the old primary is prior to version 17.0, then no
+       slots on the primary are copied to the new standby, so all the slots on
+       the old standby must be recreated manually. If the old primary is
+       version 17.0 or later, then only logical slots on the primary are copied
+       to the new standby, but other slots on the old standby are not copied,
+       so must be recreated manually.
       </para>
      </step>
 
-- 
2.34.1

